%if (! 0%{?rhel}) || 0%{?rhel} > 6
%global with_python3 1
%endif
%if 0%{?rhel} && 0%{?rhel} < 6
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           pycscope
Version:        1.2.1
Release:        4%{?dist}
Summary:        Generates a cscope index of Python source trees

License:        GPLv2
URL:            http://pypi.python.org/pypi/%{name}
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools python-nose
Requires:       python-setuptools

%description
A python script to generate a cscope index from a Python source tree. %{name}
uses Python's own parser and AST to generate the index, so it is a bit more
accurate than plain cscope.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:        Generates a cscope index of Python source trees

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools python3-nose
Requires:       python3-setuptools

%description -n python3-pycscope
A python script to generate a cscope index from a Python source tree. %{name}
uses Python's own parser and AST to generate the index, so it is a bit more
accurate than plain cscope.
%endif # with_python3


%prep
%setup -q
rm -rfv pycscope.egg-info

# Correct perm
chmod -x doc/dwh-cscopeFormat.txt

# Remove shebang
pushd pycscope
    sed '1{\@^#!/usr/bin/env python@d}' __init__.py > __init__.py.new &&
    touch -r __init__.py __init__.py.new &&
    mv __init__.py.new __init__.py
popd

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pycscope %{buildroot}%{_bindir}/python3-pycscope
popd
%endif # with_python3

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}


#%check
##%{__python} setup.py test
#cd test
#nosetests --with-coverage --cover-package pycscope --cover-erase --cover-html --cover-html-dir=.cover.python2 $@

#%if 0%{?with_python3}
#pushd %{py3dir}
#cd test
#nosetests-3.3 --with-coverage --cover-package pycscope --cover-erase --cover-html --cover-html-dir=.cover.python3.3 $@
##%{__python3} setup.py test
#popd
#%endif # with_python3

 
%files
%doc README LICENSE doc/dwh-cscopeFormat.txt
%{_bindir}/%{name}
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{name}/

%if 0%{?with_python3}
%files -n python3-pycscope
%doc README LICENSE doc/dwh-cscopeFormat.txt
%{_bindir}/python3-%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{name}/
%endif # with_python3

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Mar 25 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.2.1-1
- Update to latest upstream release
- Add py3 support
- Tests dont seem to work. Will look into these later.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3-3
- Removed rm commands https://bugzilla.redhat.com/show_bug.cgi?id=806517#c4

* Sat Mar 24 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3-2
- Changed to python2-devel

* Sat Mar 24 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3-1
- Initial rpmbuild

